Bug 1257003 - [abrt] nautilus: gtk_widget_unparent(): nautilus killed by SIGSEGV
[abrt] nautilus: gtk_widget_unparent(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:11abf270aa1082b8fd1b337aa0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 00:04 EDT by Craig Robson
Modified: 2016-12-20 09:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:28:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.53 KB, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: core_backtrace (12.45 KB, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: dso_list (13.22 KB, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: environ (896 bytes, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: exploitable (82 bytes, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: maps (65.30 KB, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: open_fds (2.96 KB, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details
File: var_log_messages (309 bytes, text/plain)
2015-08-26 00:04 EDT, Craig Robson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 754288 None None None Never

  None (edit)
Description Craig Robson 2015-08-26 00:04:45 EDT
Description of problem:
Attempted to rename file that is on ssh:// directory.

Version-Release number of selected component:
nautilus-3.17.90-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_widget_unparent
executable:     /usr/bin/nautilus
global_pid:     32218
kernel:         4.2.0-0.rc8.git0.1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_unparent at gtkwidget.c:4723
 #1 _gtk_window_remove_popover at gtkwindow.c:11896
 #2 _gtk_popover_parent_hierarchy_changed at gtkpopover.c:1698
 #3 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 gtk_widget_propagate_hierarchy_changed_recurse at gtkwidget.c:9921
 #8 _gtk_widget_propagate_hierarchy_changed at gtkwidget.c:9963
 #9 gtk_widget_unparent at gtkwidget.c:4760
 #10 gtk_box_remove at gtkbox.c:2538
 #11 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
Comment 1 Craig Robson 2015-08-26 00:04:48 EDT
Created attachment 1067115 [details]
File: backtrace
Comment 2 Craig Robson 2015-08-26 00:04:48 EDT
Created attachment 1067116 [details]
File: cgroup
Comment 3 Craig Robson 2015-08-26 00:04:49 EDT
Created attachment 1067117 [details]
File: core_backtrace
Comment 4 Craig Robson 2015-08-26 00:04:50 EDT
Created attachment 1067118 [details]
File: dso_list
Comment 5 Craig Robson 2015-08-26 00:04:50 EDT
Created attachment 1067119 [details]
File: environ
Comment 6 Craig Robson 2015-08-26 00:04:51 EDT
Created attachment 1067120 [details]
File: exploitable
Comment 7 Craig Robson 2015-08-26 00:04:52 EDT
Created attachment 1067121 [details]
File: limits
Comment 8 Craig Robson 2015-08-26 00:04:53 EDT
Created attachment 1067122 [details]
File: maps
Comment 9 Craig Robson 2015-08-26 00:04:53 EDT
Created attachment 1067123 [details]
File: mountinfo
Comment 10 Craig Robson 2015-08-26 00:04:54 EDT
Created attachment 1067124 [details]
File: namespaces
Comment 11 Craig Robson 2015-08-26 00:04:55 EDT
Created attachment 1067125 [details]
File: open_fds
Comment 12 Craig Robson 2015-08-26 00:04:55 EDT
Created attachment 1067126 [details]
File: proc_pid_status
Comment 13 Craig Robson 2015-08-26 00:04:56 EDT
Created attachment 1067127 [details]
File: var_log_messages
Comment 14 Branko Grubić 2015-08-29 10:51:45 EDT
For me it crashes for local files, I reported it upstream pointing to this bug report and crash data. 

https://bugzilla.gnome.org/show_bug.cgi?id=754288
Comment 15 Daniel 2016-02-08 17:18:37 EST
Similar problem has been detected:

Was trying to rename a file on a SDCARD. Pressed the left arrow key while in the rename pop-out bubble.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_widget_unparent
executable:     /usr/bin/nautilus
global_pid:     5942
kernel:         4.3.5-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 07:22:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 09:28:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.